<html>
    <body>
        <?php
        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');
        ?>
        <div>
            <table width="100%">
                <tr>
                    <td width="10%" style="border: 1px solid #fff;"><img src="<?= $ar_pemda->s_logo ?>" width="60"></td>
                    <td style="text-align:center; padding-right: 10%;border: 1px solid #fff;">
                        <span style="font-size:13pt;font-weight: BOLD;">PEMERINTAH PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?></span><br>
                        <span style="font-size:15pt;font-weight: BOLD;"><?= strtoupper($ar_pemda->s_namainstansi); ?></span><br>
                        <span style="font-size:10pt;"><?= $ar_pemda->s_alamatinstansi; ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?></span>
                    </td>
                </tr>
            </table>
            <hr style="line-height: 1px; color: black">
            <b style="font-size:16pt;">REALISASI PENERIMAAN PER WP</b>
            <table width="100%" style="text-align: left;border: 0px">
                <tr><td width="20%">Objek Pajak</td><td width="2%">:</td><td><?=$ar_wpobjek['s_namajenis']?></td></tr>
                <tr><td>Nama Wajib Pajak</td><td>:</td><td><?=$ar_wpobjek['t_nama']?></td></tr>
                <tr><td>NPWPD</td><td>:</td><td><?=$ar_wpobjek['t_npwpd']?></td></tr>
                <tr><td>Alamat</td><td>:</td><td><?=$ar_wpobjek['t_alamat_lengkap']?></td></tr>
                <tr><td>Nama Objek Pajak</td><td>:</td><td><?=$ar_wpobjek['t_namaobjek']?></td></tr>
            </table>
            <br>
            <table width="100%" class="border_atas border_bawah border_kanan border_kiri" style="text-align: center;border-top: 4px double #000;">
                <tr style="background:#ccc;">
                    <td class="border_kanan border_bawah" rowspan="2"><b>Bulan</b></td>
                    <td class="border_kanan border_bawah" colspan="3">
                        <b>SPTPD</b>
                    </td>
                    <td rowspan="2" class="border_kanan border_bawah"><b>Tgl. Jatuh Tempo</b></td>
                    <td colspan="3" class="border_kanan border_bawah">
                        <b>Realisasi Penerimaan</b>
                    </td>
                    <td rowspan="2" class="border_kanan border_bawah">
                        <b>Lebih/Kurang Bayar</b>
                    </td>
                    <td colspan="2" class="border_kanan border_bawah">
                        <b>Denda</b>
                    </td>
                    <td rowspan="2" class="border_bawah" style="vertical-align:middle">
                        <b>Jml. Piutang Pajak</b>
                    </td>
                </tr>
                <tr style="background:#ccc;">
                    <td class="border_kanan border_bawah">
                        <b>Nomor</b>
                    </td>
                    <td class="border_kanan border_bawah">
                        <b>Tgl.</b>
                    </td>
                    <td class="border_kanan border_bawah">
                        <b>Jumlah</b>
                    </td>
                    <td class="border_kanan border_bawah">
                        <b>Tgl.</b>
                    </td>
                    <td class="border_kanan border_bawah">
                        <b>Pokok</b>
                    </td>
                    <td class="border_kanan border_bawah">
                        <b>Denda</b>
                    </td>
                    <td class="border_kanan border_bawah">
                        <b>Uraian</b>
                    </td>
                    <td class="border_kanan border_bawah">
                        <b>Jml. Denda</b>
                    </td>
                </tr>
                <?php
                $total_nilai = 0;
                $total_bayar = 0;
                $total_denda = 0;
				$total_bayardenda = 0;
				$total_piutang = 0;
                foreach ($this->data as $k => $v) {
                    ?>
                    <tr>
                        <td style="text-align: left" class="border_kanan border_bawah">
                            <?php
                            $abulan = ['1' => 'Januari', '2' => 'Februari', '3' => 'Maret', '4' => 'April', '5' => 'Mei', '6' => 'Juni', '7' => 'Juli', '8' => 'Agustus', '9' => 'September', '10' => 'Oktober', '11' => 'November', '12' => 'Desember'];
                            $t_masapajak = $abulan[$k + 1] . " " . $periode;
                            $total_nilai += $v['t_jmlhpajak'];
                            $total_bayar += $v['t_jmlhpembayaran'];
                            $total_denda += $v['t_jmlhbayardenda'];
                            $total_bayardenda += $v['t_jmlhdendapembayaran'];
							$total_piutang += ($v['t_jmlhpajak'] + $v['t_jmlhdendapembayaran']) - ($v['t_jmlhpembayaran'] + $v['t_jmlhbayardenda']);
                            ?>
                            <?= $t_masapajak ?>
                        </td>
                        <td class="border_kanan border_bawah"><?=$v['t_nourut']?></td>
                        <td class="border_kanan border_bawah">
                            <?php $t_tglpendataan = (!empty($v['t_tglpendataan']) ? date('d-m-Y', strtotime($v['t_tglpendataan'])) : '-'); ?>
                            <?= $t_tglpendataan ?>
                        </td>
                        <td style="text-align: right;" class="border_kanan border_bawah">
                            <?= number_format($v['t_jmlhpajak'], 0, ',', '.') ?>
                        </td>
                        <td class="border_kanan border_bawah">
                            <?php $t_tgljatuhtempo = (!empty($v['t_tgljatuhtempo']) ? date('d-m-Y', strtotime($v['t_tgljatuhtempo'])) : '-'); ?>
                            <?= $t_tgljatuhtempo ?>
                        </td>
                        <td style="text-align: right" class="border_kanan border_bawah">
                            <?php $t_tglpembayaran = (!empty($v['t_tglpembayaran']) ? date('d-m-Y', strtotime($v['t_tglpembayaran'])) : '-'); ?>
                            <?= $t_tglpembayaran ?>
                        </td>
                        <td style="text-align: right" class="border_kanan border_bawah">
                            <?= number_format($v['t_jmlhpembayaran'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right" class="border_kanan border_bawah">
                            <?= number_format($v['t_jmlhbayardenda'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right" class="border_kanan border_bawah">

                        </td>
                        <td style="text-align: right" class="border_kanan border_bawah">
                            <?php
                            if (!empty($v['t_jmlhbulandendapembayaran']) || $v['t_jmlhbulandendapembayaran'] != 0) {
                                echo $v['t_jmlhbulandendapembayaran'] . " (bulan) x " . number_format($v['t_jmlhpajak'], 0, ',', '.') . " x 2%";
                            }
                            ?>
                        </td>
                        <td style="text-align: right" class="border_kanan border_bawah">
                            <?= number_format($v['t_jmlhdendapembayaran'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right" class="border_kanan border_bawah">
                            <?= number_format(($v['t_jmlhpajak'] + $v['t_jmlhdendapembayaran']) - ($v['t_jmlhpembayaran'] + $v['t_jmlhbayardenda']), 0, ',', '.') ?>
                        </td>
                    </tr>
                    <?php
                }
                ?>
                <tr>
                    <td colspan="3" class="border_kanan">
                        <b>JUMLAH TAHUN <?=$periode?> </b>
                    </td>
                    <td style="text-align: right" class="border_kanan">
                        <b><?= number_format($total_nilai, 0, ',', '.') ?></b>
                    </td>
                    <td class="border_kanan" colspan="2"></td>
                    <td style="text-align: right" class="border_kanan">
                        <b><?= number_format($total_bayar, 0, ',', '.') ?></b>
                    </td>
                    <td class="border_kanan"></td>
                    <td class="border_kanan"></td>
                    <td colspan="2" style="text-align: right" class="border_kanan">
                        <b><?= number_format($total_bayardenda, 0, ',', '.') ?></b>
                    </td>
                    <td colspan="2" style="text-align: right" class="border_kanan">
                        <b><?= number_format($total_piutang, 0, ',', '.') ?></b>
                    </td>
                </tr>
            </table>
        </div>
		
		<htmlpagefooter name="MyCustomFooter">
        <table style="vertical-align: bottom; font-family: serif;" width="100%">
            <tbody>
                <tr>
                        <!--<td width="33%"><span style="font-weight: bold; font-style: italic;">{DATE j-m-Y}</span></td>-->
                    <td style="font-style: italic;text-align: left;font-size: 10px;border: 1px solid #fff;" width="50%">Printed by SIMPATDA</td>
                    <td style="font-style: italic;text-align: right;font-size: 12px;border: 1px solid #fff;" width="50%">Halaman {PAGENO} dari {nbpg}</td>
                </tr>
            </tbody>
        </table>
    </htmlpagefooter>
    </body>
</html>

<style type="text/css" media="print">
    body{font-family: sans-serif;}
/*    table, th, td {
        border: 1px solid black;
        border-collapse: collapse;
    }*/

    .border_atas{border-top: 1px solid black;
        border-collapse: collapse;}
    .border_kanan{border-right: 1px solid black;
        border-collapse: collapse;}
    .border_bawah{border-bottom: 1px solid black;
        border-collapse: collapse;}
    .border_kiri{border-left: 1px solid black;
        border-collapse: collapse;}
    .font_empatbelas {
        font-size: 14pt;
    }   

@page {
        /* ensure you append the header/footer name with 'html_' */
        header: html_MyCustomHeader; /* sets <htmlpageheader name="MyCustomHeader"> as the header */
        footer: html_MyCustomFooter; /* sets <htmlpagefooter name="MyCustomFooter"> as the footer */
    }	
</style>